Warning, /education/kgeography/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
0002 
0003 # KDE Application Version, managed by release script
0004 set(RELEASE_SERVICE_VERSION_MAJOR "22")
0005 set(RELEASE_SERVICE_VERSION_MINOR "11")
0006 set(RELEASE_SERVICE_VERSION_MICRO "70")
0007 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
0008 
0009 project(kgeography VERSION ${RELEASE_SERVICE_VERSION})
0010 
0011 # minimal Qt requirement
0012 set(QT_MIN_VERSION "5.15.2") # Remember to update the QT_DEPRECATED_WARNINGS_SINCE below
0013 set(KF5_REQUIRED_VERSION "5.89.0") # Remember to update the KF_DEPRECATED_WARNINGS_SINCE below
0014 set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")
0015 
0016 # ECM
0017 find_package (ECM ${KF5_REQUIRED_VERSION} REQUIRED NO_MODULE)
0018 
0019 # where to look first for cmake modules
0020 set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
0021 
0022 include(KDEInstallDirs)
0023 include(KDECompilerSettings NO_POLICY_SCOPE)
0024 include(KDECMakeSettings)
0025 include(FeatureSummary)
0026 include(ECMAddAppIcon)
0027 include(ECMInstallIcons)
0028 include(ECMSetupVersion)
0029 
0030 find_package (Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)
0031 
0032 find_package (KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
0033     XmlGui WidgetsAddons CoreAddons ConfigWidgets I18n ItemViews IconThemes Crash DocTools
0034 )
0035 
0036 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
0037 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
0038 add_definitions(-DQT_DEPRECATED_WARNINGS_SINCE=0x050F02)
0039 add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x055900)
0040 
0041 # global include directories
0042 include_directories (${CMAKE_CURRENT_BINARY_DIR})
0043 
0044 add_subdirectory( doc )
0045 add_subdirectory( src ) 
0046 add_subdirectory( data ) 
0047 add_subdirectory( icons ) 
0048 
0049 ki18n_install(po)
0050 if (KF5DocTools_FOUND)
0051     kdoctools_install(po)
0052 endif()
0053 
0054 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)